## rocm-docs-core 1.21.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --all-extras pyproject.toml
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
argcomplete==3.5.3
    # via commitizen
asttokens==3.0.0
    # via stack-data
attrs==25.3.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.13.4
    # via pydata-sphinx-theme
black==25.1.0
    # via rocm-docs-core (pyproject.toml)
breathe==4.36.0
    # via rocm-docs-core (pyproject.toml)
build==1.2.2.post1
    # via
    #   pip-tools
    #   rocm-docs-core (pyproject.toml)
certifi==2025.6.15
    # via requests
cffi==1.17.1
    # via
    #   cryptography
    #   pynacl
cfgv==3.4.0
    # via pre-commit
charset-normalizer==3.4.2
    # via
    #   commitizen
    #   requests
click==8.2.1
    # via
    #   black
    #   click-log
    #   doxysphinx
    #   jupyter-cache
    #   pip-tools
    #   sphinx-external-toc
click-log==0.4.0
    # via doxysphinx
colorama==0.4.6
    # via commitizen
comm==0.2.2
    # via ipykernel
commitizen==4.8.3
    # via rocm-docs-core (pyproject.toml)
contourpy==1.3.2
    # via matplotlib
cryptography==45.0.4
    # via pyjwt
cycler==0.12.1
    # via matplotlib
debugpy==1.8.14
    # via ipykernel
decli==0.6.3
    # via commitizen
decorator==5.2.1
    # via ipython
deprecated==1.2.18
    # via pygithub
distlib==0.3.9
    # via virtualenv
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
doxysphinx==3.3.12
    # via rocm-docs-core (pyproject.toml)
executing==2.2.0
    # via stack-data
fastjsonschema==2.21.1
    # via
    #   nbformat
    #   rocm-docs-core (pyproject.toml)
filelock==3.18.0
    # via virtualenv
fonttools==4.58.4
    # via matplotlib
gitdb==4.0.12
    # via gitpython
gitpython==3.1.44
    # via rocm-docs-core (pyproject.toml)
greenlet==3.2.3
    # via sqlalchemy
identify==2.6.12
    # via pre-commit
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
iniconfig==2.1.0
    # via pytest
ipykernel==6.29.5
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
isort==6.0.1
    # via rocm-docs-core (pyproject.toml)
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   commitizen
    #   myst-parser
    #   sphinx
jsonschema==4.24.0
    # via nbformat
jsonschema-specifications==2025.4.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.8.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
kiwisolver==1.4.8
    # via matplotlib
libsass==0.22.0
    # via doxysphinx
lxml==5.2.1
    # via doxysphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.2
    # via jinja2
matplotlib==3.10.3
    # via doxysphinx
matplotlib-inline==0.1.7
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.4.2
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
mpire==2.10.2
    # via doxysphinx
mypy==1.16.1
    # via rocm-docs-core (pyproject.toml)
mypy-extensions==1.1.0
    # via
    #   black
    #   mypy
myst-nb==1.2.0
    # via rocm-docs-core (pyproject.toml)
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
nodeenv==1.9.1
    # via pre-commit
numpy==1.26.4
    # via
    #   contourpy
    #   doxysphinx
    #   matplotlib
packaging==25.0
    # via
    #   black
    #   build
    #   commitizen
    #   ipykernel
    #   matplotlib
    #   pydata-sphinx-theme
    #   pytest
    #   sphinx
parso==0.8.4
    # via jedi
pathspec==0.12.1
    # via
    #   black
    #   mypy
pexpect==4.9.0
    # via ipython
pillow==11.2.1
    # via matplotlib
pip-tools==7.4.1
    # via rocm-docs-core (pyproject.toml)
platformdirs==4.3.8
    # via
    #   black
    #   jupyter-core
    #   virtualenv
pluggy==1.6.0
    # via pytest
pre-commit==4.2.0
    # via rocm-docs-core (pyproject.toml)
prompt-toolkit==3.0.51
    # via
    #   ipython
    #   questionary
psutil==7.0.0
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.16.1
    # via
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
pygithub==2.6.1
    # via rocm-docs-core (pyproject.toml)
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   mpire
    #   pydata-sphinx-theme
    #   sphinx
pyjson5==1.6.9
    # via doxysphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyparsing==3.2.3
    # via
    #   doxysphinx
    #   matplotlib
    #   sphinxcontrib-doxylink
pyproject-hooks==1.2.0
    # via
    #   build
    #   pip-tools
pytest==8.4.1
    # via rocm-docs-core (pyproject.toml)
python-dateutil==2.9.0.post0
    # via
    #   jupyter-client
    #   matplotlib
    #   sphinxcontrib-doxylink
pyyaml==6.0.2
    # via
    #   commitizen
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   pre-commit
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-external-toc
pyzmq==27.0.0
    # via
    #   ipykernel
    #   jupyter-client
questionary==2.1.0
    # via commitizen
referencing==0.36.2
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.4
    # via
    #   pygithub
    #   sphinx
rpds-py==0.25.1
    # via
    #   jsonschema
    #   referencing
ruff==0.12.0
    # via rocm-docs-core (pyproject.toml)
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.7
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-doxylink
sphinx-book-theme==1.1.3
    # via rocm-docs-core (pyproject.toml)
sphinx-copybutton==0.5.2
    # via rocm-docs-core (pyproject.toml)
sphinx-design==0.6.1
    # via rocm-docs-core (pyproject.toml)
sphinx-external-toc==1.0.1
    # via rocm-docs-core (pyproject.toml)
sphinx-notfound-page==1.1.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-doxylink==1.13.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.41
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
termcolor==2.5.0
    # via commitizen
tomlkit==0.13.3
    # via commitizen
tornado==6.5.1
    # via
    #   ipykernel
    #   jupyter-client
tqdm==4.67.1
    # via mpire
traitlets==5.14.3
    # via
    #   comm
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.14.0
    # via
    #   beautifulsoup4
    #   mypy
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
virtualenv==20.31.2
    # via pre-commit
wcwidth==0.2.13
    # via prompt-toolkit
wheel==0.45.1
    # via pip-tools
wrapt==1.17.2
    # via deprecated
zipp==3.23.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
