## rocm-docs-core 1.17.1

=== debian/changelog ===
rocm-docs-core (1.17.1-9) unstable; urgency=medium

  * Fix Recommends field in bad place

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 19:45:55 +0100

rocm-docs-core (1.17.1-8) unstable; urgency=medium

  * Set missing packages as recommended

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 18:41:11 +0100

rocm-docs-core (1.17.1-7) unstable; urgency=medium

  * Setup for unstable

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 17:47:31 +0100

rocm-docs-core (1.17.1-6) experimental; urgency=medium

  * Replace python-rocm-docs-example package with python3-rocm-docs examples
  * Fix overrides form some dependencies
  * Set minimal version for python3-sphinx-book-theme
  * Fix bad permission with override_dh_installexamples

 -- Christian Bayle <bayle@debian.org>  Sat, 08 Mar 2025 23:36:58 +0100

rocm-docs-core (1.17.1-5) unstable; urgency=medium

  * Fix blank lines and typo in copyright
  * Update README.source
  * Set patch as not needed
  * Set correct reference in patch/series
  * Renamed python-rocm-docs-core-doc as python-rocm-docs-example
  * Remove .gitignore files
  * Add many overrides due to the fact the package is a doc generator / template

 -- Christian Bayle <bayle@debian.org>  Sat, 08 Mar 2025 18:58:07 +0100

rocm-docs-core (1.17.1-4) unstable; urgency=medium

  * Add py3dist-overrides
  * Cleanup debian rules
  * Cleanup and Disable patche

 -- Christian Bayle <bayle@debian.org>  Sat, 08 Mar 2025 15:48:18 +0100

rocm-docs-core (1.17.1-3) unstable; urgency=medium

  * Clean font permissions
  * Add dep on python3-json5 and python3-breathe

 -- Christian Bayle <bayle@debian.org>  Fri, 07 Mar 2025 20:17:47 +0100

rocm-docs-core (1.17.1-2) unstable; urgency=medium

  * Fix binary package name to make the name = the python package name

 -- Christian Bayle <bayle@debian.org>  Fri, 07 Mar 2025 02:35:23 +0100

rocm-docs-core (1.17.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1099584)

 -- Christian Bayle <bayle@debian.org>  Fri, 07 Mar 2025 00:48:49 +0100
