=== debian/control ===
Source: rocm-docs-core
Section: python
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders:
 Christian Bayle <bayle@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-breathe,
 python3-fastjsonschema,
 python3-git,
 python3-github,
 python3-json5,
 python3-myst-nb,
 python3-pydata-sphinx-theme,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-design,
 python3-sphinx-notfound-page,
 python3-yaml,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/ROCm/rocm-docs-core
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-docs-core
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-docs-core.git

Package: python3-rocm-docs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-doxysphinx,
 python3-mpire,
 python3-sphinx-book-theme (>=1.1.4),
 python3-sphinx-external-toc,
Suggests:
 python-rocm-docs-core-doc,
Description: ROCm Documentation Core Utilities (Python 3)
 comprise styling, scripts, and additional HTML content that is common to all
 ROCm project's documentation. This greatly aids in maintaining the
 documentation, as any change to the appearance only needs to be modified
 in one location.
 .
 This package installs the library for Python 3. It also install an example
 that allow you to generate the ROCm doc for rocm-docs-core project.
