## rocm-docs-core 1.21.1

=== debian/changelog ===
rocm-docs-core (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1
  * Update patches for new release

 -- Christian Bayle <bayle@debian.org>  Sun, 29 Jun 2025 18:50:49 +0200

rocm-docs-core (1.20.0-1) unstable; urgency=medium

  * Add option-to-skip-theme-update (Closes: #1108246)
  * Set branch=latest to enable version display
  * Source only upload

 -- Christian Bayle <bayle@debian.org>  Tue, 24 Jun 2025 16:24:32 +0200

rocm-docs-core (1.20.0-1~exp1) experimental; urgency=medium

  * Don t access git when ROCM_DOCS_REMOTE_DETAILS is set,  
    update of Dont-fail-if-not-in-git-repo patch
  * New upstream version 1.20.0

 -- Christian Bayle <bayle@debian.org>  Wed, 04 Jun 2025 19:36:02 +0200

rocm-docs-core (1.19.0-1~exp6) experimental; urgency=medium

  * Rework Don-t-fail-if-not-in-git-repo patch

 -- Christian Bayle <bayle@debian.org>  Wed, 04 Jun 2025 16:13:39 +0200

rocm-docs-core (1.19.0-1~exp1) experimental; urgency=medium

  * New upstream version 1.19.0
  * Add Dont-fail-if-not-in-git-repo patch
  * Add Allow-offline-doc patch
  * Add Fix-privacy-issue patch
  * Update README.source to take in account doc generation
  * Update / Improve copyright file after upstream path fix
    https://github.com/ROCm/rocm-docs-core/issues/1277

 -- Christian Bayle <bayle@debian.org>  Fri, 16 May 2025 23:09:32 +0200

rocm-docs-core (1.18.4-1~exp1) experimental; urgency=medium

  * New upstream version 1.18.4
  * Add newly available packages as build dependancies
  * Some update in README files
  * Use autopkgtest-pkg-pybuild testsuite

 -- Christian Bayle <bayle@debian.org>  Wed, 14 May 2025 22:16:27 +0200
