=== debian/control ===
--- 
+++ 
@@ -24,8 +24,13 @@
  python3-sphinx-design,
  python3-sphinx-notfound-page,
  python3-yaml,
-Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+ python3-doxysphinx (>=3.3.12-6~exp1),
+ python3-mpire,
+ python3-sphinx-book-theme (>=1.1.4),
+ python3-sphinx-external-toc,
+ python3-doc,
+Testsuite: autopkgtest-pkg-pybuild
+Standards-Version: 4.7.2
 Homepage: https://github.com/ROCm/rocm-docs-core
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-docs-core
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-docs-core.git
@@ -35,11 +40,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Recommends:
- python3-doxysphinx,
- python3-mpire,
- python3-sphinx-book-theme (>=1.1.4),
- python3-sphinx-external-toc,
 Suggests:
  python-rocm-docs-core-doc,
 Description: ROCm Documentation Core Utilities (Python 3)
@@ -50,3 +50,22 @@
  .
  This package installs the library for Python 3. It also install an example
  that allow you to generate the ROCm doc for rocm-docs-core project.
+ .
+ This package installs the library for Python 3.
+
+Package: python-rocm-docs-doc
+Section: doc
+Architecture: all
+Depends:
+ ${sphinxdoc:Depends},
+ ${misc:Depends},
+Description: ROCm Documentation Core Utilities (documentation)
+ comprise styling, scripts, and additional HTML content that is common to all
+ ROCm project's documentation. This greatly aids in maintaining the
+ documentation, as any change to the appearance only needs to be modified
+ in one location.
+ .
+ This package installs the library for Python 3. It also install an example
+ that allow you to generate the ROCm doc for rocm-docs-core project.
+ .
+ This is the common documentation package.
