## rocm-docs-core 1.23.0

=== requirements.txt ===
--- 
+++ 
@@ -27,11 +27,11 @@
     # via rocm-docs-core (pyproject.toml)
 breathe==4.36.0
     # via rocm-docs-core (pyproject.toml)
-build==1.2.2.post1
+build==1.3.0
     # via
     #   pip-tools
     #   rocm-docs-core (pyproject.toml)
-certifi==2025.6.15
+certifi==2025.8.3
     # via requests
 cffi==1.17.1
     # via
@@ -39,7 +39,7 @@
     #   pynacl
 cfgv==3.4.0
     # via pre-commit
-charset-normalizer==3.4.2
+charset-normalizer==3.4.3
     # via
     #   commitizen
     #   requests
@@ -55,17 +55,17 @@
     # via doxysphinx
 colorama==0.4.6
     # via commitizen
-comm==0.2.2
+comm==0.2.3
     # via ipykernel
 commitizen==4.8.3
     # via rocm-docs-core (pyproject.toml)
 contourpy==1.3.2
     # via matplotlib
-cryptography==45.0.4
+cryptography==45.0.6
     # via pyjwt
 cycler==0.12.1
     # via matplotlib
-debugpy==1.8.14
+debugpy==1.8.16
     # via ipykernel
 decli==0.6.3
     # via commitizen
@@ -73,7 +73,7 @@
     # via ipython
 deprecated==1.2.18
     # via pygithub
-distlib==0.3.9
+distlib==0.4.0
     # via virtualenv
 docutils==0.21.2
     # via
@@ -90,15 +90,15 @@
     #   rocm-docs-core (pyproject.toml)
 filelock==3.18.0
     # via virtualenv
-fonttools==4.58.4
+fonttools==4.59.0
     # via matplotlib
 gitdb==4.0.12
     # via gitpython
-gitpython==3.1.44
-    # via rocm-docs-core (pyproject.toml)
-greenlet==3.2.3
+gitpython==3.1.45
+    # via rocm-docs-core (pyproject.toml)
+greenlet==3.2.4
     # via sqlalchemy
-identify==2.6.12
+identify==2.6.13
     # via pre-commit
 idna==3.10
     # via requests
@@ -110,7 +110,7 @@
     #   myst-nb
 iniconfig==2.1.0
     # via pytest
-ipykernel==6.29.5
+ipykernel==6.30.1
     # via myst-nb
 ipython==8.37.0
     # via
@@ -125,7 +125,7 @@
     #   commitizen
     #   myst-parser
     #   sphinx
-jsonschema==4.24.0
+jsonschema==4.25.0
     # via nbformat
 jsonschema-specifications==2025.4.1
     # via jsonschema
@@ -141,7 +141,7 @@
     #   jupyter-client
     #   nbclient
     #   nbformat
-kiwisolver==1.4.8
+kiwisolver==1.4.9
     # via matplotlib
 libsass==0.22.0
     # via doxysphinx
@@ -153,25 +153,25 @@
     #   myst-parser
 markupsafe==3.0.2
     # via jinja2
-matplotlib==3.10.3
+matplotlib==3.10.5
     # via doxysphinx
 matplotlib-inline==0.1.7
     # via
     #   ipykernel
     #   ipython
-mdit-py-plugins==0.4.2
+mdit-py-plugins==0.5.0
     # via myst-parser
 mdurl==0.1.2
     # via markdown-it-py
 mpire==2.10.2
     # via doxysphinx
-mypy==1.16.1
+mypy==1.17.1
     # via rocm-docs-core (pyproject.toml)
 mypy-extensions==1.1.0
     # via
     #   black
     #   mypy
-myst-nb==1.2.0
+myst-nb==1.3.0
     # via rocm-docs-core (pyproject.toml)
 myst-parser==4.0.1
     # via myst-nb
@@ -211,9 +211,9 @@
     #   mypy
 pexpect==4.9.0
     # via ipython
-pillow==11.2.1
+pillow==11.3.0
     # via matplotlib
-pip-tools==7.4.1
+pip-tools==7.5.0
     # via rocm-docs-core (pyproject.toml)
 platformdirs==4.3.8
     # via
@@ -222,7 +222,7 @@
     #   virtualenv
 pluggy==1.6.0
     # via pytest
-pre-commit==4.2.0
+pre-commit==4.3.0
     # via rocm-docs-core (pyproject.toml)
 prompt-toolkit==3.0.51
     # via
@@ -240,7 +240,7 @@
     # via
     #   rocm-docs-core (pyproject.toml)
     #   sphinx-book-theme
-pygithub==2.6.1
+pygithub==2.7.0
     # via rocm-docs-core (pyproject.toml)
 pygments==2.19.2
     # via
@@ -280,7 +280,7 @@
     #   pre-commit
     #   rocm-docs-core (pyproject.toml)
     #   sphinx-external-toc
-pyzmq==27.0.0
+pyzmq==27.0.1
     # via
     #   ipykernel
     #   jupyter-client
@@ -294,11 +294,11 @@
     # via
     #   pygithub
     #   sphinx
-rpds-py==0.25.1
+rpds-py==0.27.0
     # via
     #   jsonschema
     #   referencing
-ruff==0.12.0
+ruff==0.12.8
     # via rocm-docs-core (pyproject.toml)
 six==1.17.0
     # via python-dateutil
@@ -345,7 +345,7 @@
     # via sphinx
 sphinxcontrib-serializinghtml==2.0.0
     # via sphinx
-sqlalchemy==2.0.41
+sqlalchemy==2.0.43
     # via jupyter-cache
 stack-data==0.6.3
     # via ipython
@@ -355,7 +355,7 @@
     # via commitizen
 tomlkit==0.13.3
     # via commitizen
-tornado==6.5.1
+tornado==6.5.2
     # via
     #   ipykernel
     #   jupyter-client
@@ -371,7 +371,7 @@
     #   matplotlib-inline
     #   nbclient
     #   nbformat
-typing-extensions==4.14.0
+typing-extensions==4.14.1
     # via
     #   beautifulsoup4
     #   mypy
@@ -384,13 +384,13 @@
     # via
     #   pygithub
     #   requests
-virtualenv==20.31.2
+virtualenv==20.34.0
     # via pre-commit
 wcwidth==0.2.13
     # via prompt-toolkit
 wheel==0.45.1
     # via pip-tools
-wrapt==1.17.2
+wrapt==1.17.3
     # via deprecated
 zipp==3.23.0
     # via importlib-metadata
