=== debian/changelog ===
rocm-docs-core (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0
  * Update patches for new release
  * Make available rocm data in
    /usr/share/doc/python3-rocm-docs/rocm_data
  * Build in html dir instead of _html
  * Update README.source
  * Add help2man in dependancies
  * Add and use rocm-docs-build helper to build doc

 -- Christian Bayle <bayle@debian.org>  Thu, 04 Sep 2025 19:00:20 +0200

rocm-docs-core (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Update patches for new release

 -- Christian Bayle <bayle@debian.org>  Fri, 22 Aug 2025 18:52:55 +0200
