=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rocm-docs
# Skip Online test
export PYBUILD_TEST_ARGS=--ignore tests/test_projects.py

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# To rebuild the Sphinx documentation when it will be possible
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
		help2man -N -n"Build documentation for ROCm" \
			debian/rocm-docs-build > debian/rocm-docs-build.1
		debian/rocm-docs-build
		# Remove fonts that will be symlinks
		rm -rf build/html/_static/fonts
		rm -rf build/html/_static/vendor

override_dh_install:
	dh_install
	# Fix font files permissions
	find . -name '*.woff*' -exec chmod ugo-x {} \;
	# Remove vcs-control-file gitignore
	find . -name '*.gitignore*' -exec rm -f {} \;
	# Fix vectorial images permissions
	find . -name '*.svg*' -exec chmod ugo-x {} \;

override_dh_compress:
	# Do not compress sphinx doc (ttf fonts for example)
	dh_compress -Xpython-rocm-docs-doc/html

override_dh_clean:
	dh_clean
	# Remove various possibly generated doc to allow easy local rebuild (debuild) \
	# See README.source for more info
	-rm -rf docs/_doxygen/ docs/demo/doxygen/html/ docs/build/ \
		docs/demo/doxygen/xml/ .pybuild/ build/ src/rocm_docs/_doxygen
	-rm -f docs/sphinx/_toc.yml
