## rocm-docs-core 1.26.0

=== requirements.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
     # via
     #   pydata-sphinx-theme
     #   sphinx
-beautifulsoup4==4.13.4
+beautifulsoup4==4.13.5
     # via pydata-sphinx-theme
 black==25.1.0
     # via rocm-docs-core (pyproject.toml)
@@ -84,13 +84,13 @@
     # via rocm-docs-core (pyproject.toml)
 executing==2.2.0
     # via stack-data
-fastjsonschema==2.21.1
+fastjsonschema==2.21.2
     # via
     #   nbformat
     #   rocm-docs-core (pyproject.toml)
-filelock==3.18.0
+filelock==3.19.1
     # via virtualenv
-fonttools==4.59.0
+fonttools==4.59.2
     # via matplotlib
 gitdb==4.0.12
     # via gitpython
@@ -125,7 +125,7 @@
     #   commitizen
     #   myst-parser
     #   sphinx
-jsonschema==4.25.0
+jsonschema==4.25.1
     # via nbformat
 jsonschema-specifications==2025.4.1
     # via jsonschema
@@ -280,25 +280,25 @@
     #   pre-commit
     #   rocm-docs-core (pyproject.toml)
     #   sphinx-external-toc
-pyzmq==27.0.1
+pyzmq==27.0.2
     # via
     #   ipykernel
     #   jupyter-client
-questionary==2.1.0
+questionary==2.1.1
     # via commitizen
 referencing==0.36.2
     # via
     #   jsonschema
     #   jsonschema-specifications
-requests==2.32.4
+requests==2.32.5
     # via
     #   pygithub
     #   sphinx
-rpds-py==0.27.0
+rpds-py==0.27.1
     # via
     #   jsonschema
     #   referencing
-ruff==0.12.8
+ruff==0.12.11
     # via rocm-docs-core (pyproject.toml)
 six==1.17.0
     # via python-dateutil
@@ -371,7 +371,7 @@
     #   matplotlib-inline
     #   nbclient
     #   nbformat
-typing-extensions==4.14.1
+typing-extensions==4.15.0
     # via
     #   beautifulsoup4
     #   mypy
