=== debian/changelog ===
rocm-docs-core (1.26.0-1) unstable; urgency=medium

  * Update ROCm versions
  * New upstream version 1.26.0
  * Rebase patches
  * Add .inv files in debian/projects.yaml

 -- Christian Bayle <bayle@debian.org>  Sun, 12 Oct 2025 22:26:47 +0200

rocm-docs-core (1.23.0-5) unstable; urgency=medium

  * Use UTC timestamp (Closes: #1114772)

 -- Christian Bayle <bayle@debian.org>  Wed, 10 Sep 2025 11:24:49 +0200

rocm-docs-core (1.23.0-4) unstable; urgency=medium

  * Improve patch on conf.py

 -- Christian Bayle <bayle@debian.org>  Wed, 10 Sep 2025 10:57:38 +0200

rocm-docs-core (1.23.0-3) unstable; urgency=medium

  * Rework default url value
  * Merge Get-data-from-env and Add-option-to-skip-theme-update patches
  * Add patch for docs/conf.py to fix title

 -- Christian Bayle <bayle@debian.org>  Sun, 07 Sep 2025 00:44:15 +0200

rocm-docs-core (1.23.0-2) unstable; urgency=medium

  * Readd -D language=en
  * Remove updateinventory and modify-conf-py patches
  * Update projects.yaml
  * Allow url and branch as env var

 -- Christian Bayle <bayle@debian.org>  Fri, 05 Sep 2025 22:56:21 +0200
