=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python3-sphinx-book-theme (>=1.1.4),
  python3-sphinx-external-toc,
  python3-doc,
+ help2man,
 Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.7.2
 Homepage: https://github.com/ROCm/rocm-docs-core
