=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,13 @@
 		rm -rf build/html/_static/fonts
 		rm -rf build/html/_static/vendor
 
+override_dh_auto_configure:
+	# Fix some bad URL, add python inventory reference
+	# In debian/projects.yaml
+	# TODO: Update links and inventory for Debian
+	cat debian/projects.yaml | grep -v '^#  ' > src/rocm_docs/data/projects.yaml
+	dh_auto_configure -O--buildsystem=pybuild
+
 override_dh_install:
 	dh_install
 	# Fix font files permissions
