=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/rocm/rocm-docs-core/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
