## rocm-docs-core 1.31.0

=== debian/changelog ===
rocm-docs-core (1.31.0-1) unstable; urgency=medium

  * New upstream version 1.31.0
  * Update patches
  * Take in account new data format for rocm version
  * Update watch file for v5

 -- Christian Bayle <bayle@debian.org>  Thu, 11 Dec 2025 20:53:21 +0100
