## rocm-docs-core 1.31.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --all-extras --cert=None --client-cert=None --index-url=None --pip-args=None pyproject.toml
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==1.0.0
    # via sphinx
argcomplete==3.6.3
    # via commitizen
asttokens==3.0.1
    # via stack-data
attrs==25.4.0
    # via
    #   jsonschema
    #   jupyter-cache
    #   referencing
babel==2.17.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.14.2
    # via pydata-sphinx-theme
black==25.11.0
    # via rocm-docs-core (pyproject.toml)
breathe==4.36.0
    # via rocm-docs-core (pyproject.toml)
build==1.3.0
    # via
    #   pip-tools
    #   rocm-docs-core (pyproject.toml)
certifi==2025.11.12
    # via requests
cffi==2.0.0
    # via
    #   cryptography
    #   pynacl
cfgv==3.5.0
    # via pre-commit
charset-normalizer==3.4.4
    # via
    #   commitizen
    #   requests
click==8.3.1
    # via
    #   black
    #   click-log
    #   doxysphinx
    #   jupyter-cache
    #   pip-tools
    #   sphinx-external-toc
click-log==0.4.0
    # via doxysphinx
colorama==0.4.6
    # via commitizen
comm==0.2.3
    # via ipykernel
commitizen==4.10.0
    # via rocm-docs-core (pyproject.toml)
cryptography==46.0.3
    # via pyjwt
debugpy==1.8.17
    # via ipykernel
decli==0.6.3
    # via commitizen
decorator==5.2.1
    # via ipython
deprecated==1.3.1
    # via commitizen
distlib==0.4.0
    # via virtualenv
docutils==0.21.2
    # via
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
doxysphinx==3.3.14
    # via rocm-docs-core (pyproject.toml)
exceptiongroup==1.3.1
    # via
    #   ipython
    #   pytest
executing==2.2.1
    # via stack-data
fastjsonschema==2.21.2
    # via
    #   nbformat
    #   rocm-docs-core (pyproject.toml)
filelock==3.20.0
    # via virtualenv
gitdb==4.0.12
    # via gitpython
gitpython==3.1.45
    # via rocm-docs-core (pyproject.toml)
greenlet==3.2.4
    # via sqlalchemy
identify==2.6.15
    # via pre-commit
idna==3.11
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==8.7.0
    # via
    #   jupyter-cache
    #   myst-nb
iniconfig==2.3.0
    # via pytest
ipykernel==7.1.0
    # via myst-nb
ipython==8.37.0
    # via
    #   ipykernel
    #   myst-nb
isort==7.0.0
    # via rocm-docs-core (pyproject.toml)
jedi==0.19.2
    # via ipython
jinja2==3.1.6
    # via
    #   commitizen
    #   myst-parser
    #   sphinx
jsonschema==4.25.1
    # via nbformat
jsonschema-specifications==2025.9.1
    # via jsonschema
jupyter-cache==1.0.1
    # via myst-nb
jupyter-client==8.6.3
    # via
    #   ipykernel
    #   nbclient
jupyter-core==5.9.1
    # via
    #   ipykernel
    #   jupyter-client
    #   nbclient
    #   nbformat
librt==0.6.2
    # via mypy
libsass==0.22.0
    # via doxysphinx
lxml==5.2.1
    # via doxysphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==3.0.3
    # via jinja2
matplotlib-inline==0.2.1
    # via
    #   ipykernel
    #   ipython
mdit-py-plugins==0.5.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
mpire==2.10.2
    # via doxysphinx
mypy==1.19.0
    # via rocm-docs-core (pyproject.toml)
mypy-extensions==1.1.0
    # via
    #   black
    #   mypy
myst-nb==1.3.0
    # via rocm-docs-core (pyproject.toml)
myst-parser==4.0.1
    # via myst-nb
nbclient==0.10.2
    # via
    #   jupyter-cache
    #   myst-nb
nbformat==5.10.4
    # via
    #   jupyter-cache
    #   myst-nb
    #   nbclient
nest-asyncio==1.6.0
    # via ipykernel
nodeenv==1.9.1
    # via pre-commit
packaging==25.0
    # via
    #   black
    #   build
    #   commitizen
    #   ipykernel
    #   pydata-sphinx-theme
    #   pytest
    #   sphinx
parso==0.8.5
    # via jedi
pathspec==0.12.1
    # via
    #   black
    #   mypy
pexpect==4.9.0
    # via ipython
pip-tools==7.5.2
    # via rocm-docs-core (pyproject.toml)
platformdirs==4.5.0
    # via
    #   black
    #   jupyter-core
    #   virtualenv
pluggy==1.6.0
    # via pytest
pre-commit==4.5.0
    # via rocm-docs-core (pyproject.toml)
prompt-toolkit==3.0.51
    # via
    #   commitizen
    #   ipython
    #   questionary
psutil==7.1.3
    # via ipykernel
ptyprocess==0.7.0
    # via pexpect
pure-eval==0.2.3
    # via stack-data
pycparser==2.23
    # via cffi
pydata-sphinx-theme==0.15.4
    # via
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
pygithub==2.8.1
    # via rocm-docs-core (pyproject.toml)
pygments==2.19.2
    # via
    #   accessible-pygments
    #   ipython
    #   mpire
    #   pydata-sphinx-theme
    #   pytest
    #   sphinx
pyjson5==1.6.9
    # via doxysphinx
pyjwt[crypto]==2.10.1
    # via pygithub
pynacl==1.6.1
    # via pygithub
pyparsing==3.2.5
    # via
    #   doxysphinx
    #   sphinxcontrib-doxylink
pyproject-hooks==1.2.0
    # via
    #   build
    #   pip-tools
pytest==9.0.1
    # via rocm-docs-core (pyproject.toml)
python-dateutil==2.9.0.post0
    # via
    #   jupyter-client
    #   sphinxcontrib-doxylink
pytokens==0.3.0
    # via black
pyyaml==6.0.3
    # via
    #   commitizen
    #   jupyter-cache
    #   myst-nb
    #   myst-parser
    #   pre-commit
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-external-toc
pyzmq==27.1.0
    # via
    #   ipykernel
    #   jupyter-client
questionary==2.1.1
    # via commitizen
referencing==0.37.0
    # via
    #   jsonschema
    #   jsonschema-specifications
requests==2.32.5
    # via
    #   pygithub
    #   sphinx
rpds-py==0.29.0
    # via
    #   jsonschema
    #   referencing
ruff==0.14.6
    # via rocm-docs-core (pyproject.toml)
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
snowballstemmer==3.0.1
    # via sphinx
soupsieve==2.8
    # via beautifulsoup4
sphinx==8.1.3
    # via
    #   breathe
    #   myst-nb
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core (pyproject.toml)
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
    #   sphinxcontrib-doxylink
sphinx-book-theme==1.1.4
    # via rocm-docs-core (pyproject.toml)
sphinx-copybutton==0.5.2
    # via rocm-docs-core (pyproject.toml)
sphinx-design==0.6.1
    # via rocm-docs-core (pyproject.toml)
sphinx-external-toc==1.0.1
    # via rocm-docs-core (pyproject.toml)
sphinx-notfound-page==1.1.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-doxylink==1.13.0
    # via rocm-docs-core (pyproject.toml)
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
sqlalchemy==2.0.44
    # via jupyter-cache
stack-data==0.6.3
    # via ipython
tabulate==0.9.0
    # via jupyter-cache
termcolor==3.2.0
    # via commitizen
tomli==2.3.0
    # via
    #   black
    #   build
    #   mypy
    #   pip-tools
    #   pytest
    #   sphinx
tomlkit==0.13.3
    # via commitizen
tornado==6.5.2
    # via
    #   ipykernel
    #   jupyter-client
tqdm==4.67.1
    # via mpire
traitlets==5.14.3
    # via
    #   ipykernel
    #   ipython
    #   jupyter-client
    #   jupyter-core
    #   matplotlib-inline
    #   nbclient
    #   nbformat
typing-extensions==4.15.0
    # via
    #   beautifulsoup4
    #   black
    #   commitizen
    #   cryptography
    #   exceptiongroup
    #   ipython
    #   mypy
    #   myst-nb
    #   pydata-sphinx-theme
    #   pygithub
    #   referencing
    #   sqlalchemy
    #   virtualenv
urllib3==2.5.0
    # via
    #   pygithub
    #   requests
virtualenv==20.35.4
    # via pre-commit
wcwidth==0.2.14
    # via prompt-toolkit
wheel==0.45.1
    # via pip-tools
wrapt==2.0.1
    # via deprecated
zipp==3.23.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools
