=== debian/changelog ===
rocm-docs-core (1.31.1-2) unstable; urgency=medium

  * Fix symlink generation

 -- Christian Bayle <bayle@debian.org>  Sat, 13 Dec 2025 23:56:21 +0100

rocm-docs-core (1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1
  * Rebase patch
  * Update rocm_data_versions
  * Update projects.yaml
  * Do symlinks if fonts and vendor dirs are found

 -- Christian Bayle <bayle@debian.org>  Sat, 13 Dec 2025 16:08:56 +0100
