=== debian/watch ===
Version: 5

Template: GitHub
Owner: rocm
Project: rocm-docs-core
